import { TerraformElement } from 'cdktf';
import { Construct } from 'constructs';
import { TerraformInjectorElementContainer, TerraformLazyElementConfig } from '../../module';
export declare class TerraformLazyElement<NestedTerraformElementType extends TerraformElement, NestedConfigType, NestedSharedType = undefined> extends TerraformElement {
    nested: TerraformInjectorElementContainer<NestedTerraformElementType, NestedSharedType>[];
    constructor(scope: Construct, id: string, config: TerraformLazyElementConfig<NestedTerraformElementType, NestedConfigType, NestedSharedType>);
}
